Package com.emc.documentum.rest.http.parameter

# Class SingleParam

java.lang.Object
com.emc.documentum.rest.http.parameter.SingleParam

public class SingleParam extends Object
A typed parameter group for the common single resource parameters used on the controller. It contains below parameters:

- view
- links

Below example shows how to use this parameter in controllers.

         @ResponseBody
         public ResponseEntity<GroupObject> getFolder(
         @PathVariable("repositoryName") final String repositoryName,
         @PathVariable("folderId") final String folderId,
         @TypedParam final SingleParam singleParam,
         @RequestUri final UriInfo uriInfo)  {
         }

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SingleParam()`
  Default constructor
  `SingleParam(AttributeView attributeView)`
  Constructor

- ## Method Summary

  Modifier and Type
  Method
  Description
  `AttributeView`
  `getAttributeView()`
  Get attribute view
  `boolean`
  `isLinks()`
  Check if it is links
  `void`
  `setAttributeView(AttributeView view)`
  Set attribute view
  `void`
  `setLinks(boolean links)`
  Set links

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### SingleParam

    public SingleParam()
    Default constructor

  - ### SingleParam

    public SingleParam(AttributeView attributeView)
    Constructor
    Parameters:
      `attributeView` - attribute view

- ## Method Details

  - ### setAttributeView

    public void setAttributeView(AttributeView view)
    Set attribute view
    Parameters:
      `view` - attribute view

  - ### getAttributeView

    public AttributeView getAttributeView()
    Get attribute view
    Returns:
      the attribute view

  - ### isLinks

    public boolean isLinks()
    Check if it is links
    Returns:
      `true` if it is links

  - ### setLinks

    public void setLinks(boolean links)
    Set links
    Parameters:
      `links` - links to set